var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";

function ChartLineOn(props) {
  return _jsxs("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: [_jsxs("g", __assign({
      opacity: 0.8
    }, {
      children: [_jsx("path", {
        opacity: 0.8,
        d: "M3.691 41.077c0-.255.207-.462.462-.462h39.692a.462.462 0 110 .923H4.153a.462.462 0 01-.462-.461z",
        fill: "#fff"
      }, void 0), _jsx("path", {
        opacity: 0.2,
        d: "M16.617 16.615L7.387 26.77v13.846h33.23V12.923L24.002 24l-7.384-7.385z",
        fill: "url(#chart_line_on0_linear)"
      }, void 0), _jsx("path", {
        fillRule: "evenodd",
        clipRule: "evenodd",
        d: "M41.387 12.411a.923.923 0 01-.256 1.28L24.515 24.768a.923.923 0 01-1.164-.115l-6.7-6.7-8.58 9.437a.923.923 0 01-1.366-1.242l9.23-10.153a.923.923 0 011.336-.032l6.85 6.85 15.986-10.658a.923.923 0 011.28.256z",
        fill: "#fff"
      }, void 0)]
    }), void 0), _jsx("defs", {
      children: _jsxs("linearGradient", __assign({
        id: "chart_line_on0_linear",
        x1: 24.002,
        y1: 40.615,
        x2: 24.002,
        y2: 12.923,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0)
    }, void 0)]
  }), void 0);
}

export var ReactComponent = ChartLineOn;
export default ChartLineOn;

